connectivityqt::VpnConnection Class Referenceabstract

`#include <connectivityqt/vpn-connection.h>`

Inheritance diagram for connectivityqt::VpnConnection:
[legend]
Collaboration diagram for connectivityqt::VpnConnection:
[legend]

## Classes

class | Priv

## Public Types

enum | Type { OPENVPN, PPTP }

## Public Slots

void | setId (const QString &id) const
void | setNeverDefault (bool neverDefault) const
void | setActive (bool active) const
void | updateSecrets () const

## Signals

void | idChanged (const QString &id)
void | neverDefaultChanged (bool neverDefault)
void | activeChanged (bool active)
void | activatableChanged (bool active)
void | remove () const

## Public Member Functions

| UNITY_DEFINES_PTRS (VpnConnection)
| VpnConnection (const QDBusObjectPath &path, const QDBusConnection &connection, QObject *parent=0)
virtual | ~VpnConnection ()
QDBusObjectPath | path () const
QString | id () const
bool | neverDefault () const
bool | active () const
bool | activatable () const
virtual Type | type () const =0

## Protected Attributes

std::shared_ptr< Priv > | d

## Properties

QDBusObjectPath | path
QString | id
bool | neverDefault
bool | active
bool | activatable
Type | type

## Member Enumeration Documentation

enum connectivityqt::VpnConnection::Type

Enumerator
OPENVPN |
PPTP |

## Constructor & Destructor Documentation

connectivityqt::VpnConnection::VpnConnection | ( | const QDBusObjectPath & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |

connectivityqt::VpnConnection::~VpnConnection | ( |  | ) |

virtual

## Member Function Documentation

bool connectivityqt::VpnConnection::activatable | ( |  | ) | const

void connectivityqt::VpnConnection::activatableChanged | ( | bool | active | ) |

signal

bool connectivityqt::VpnConnection::active | ( |  | ) | const

void connectivityqt::VpnConnection::activeChanged | ( | bool | active | ) |

signal

QString connectivityqt::VpnConnection::id | ( |  | ) | const

void connectivityqt::VpnConnection::idChanged | ( | const QString & | id | ) |

signal

bool connectivityqt::VpnConnection::neverDefault | ( |  | ) | const

void connectivityqt::VpnConnection::neverDefaultChanged | ( | bool | neverDefault | ) |

signal

QDBusObjectPath connectivityqt::VpnConnection::path | ( |  | ) | const

void connectivityqt::VpnConnection::remove | ( |  | ) | const

signal

void connectivityqt::VpnConnection::setActive | ( | bool | active | ) | const

slot

void connectivityqt::VpnConnection::setId | ( | const QString & | id | ) | const

slot

void connectivityqt::VpnConnection::setNeverDefault | ( | bool | neverDefault | ) | const

slot

virtual Type connectivityqt::VpnConnection::type | ( |  | ) | const

pure virtual

Implemented in connectivityqt::OpenvpnConnection, and connectivityqt::PptpConnection.

connectivityqt::VpnConnection::UNITY_DEFINES_PTRS | ( | VpnConnection |  | ) |

void connectivityqt::VpnConnection::updateSecrets | ( |  | ) | const

slot

## Member Data Documentation

std::shared_ptr<Priv> connectivityqt::VpnConnection::d

protected

## Property Documentation

bool connectivityqt::VpnConnection::activatable

read

bool connectivityqt::VpnConnection::active

read write

QString connectivityqt::VpnConnection::id

read write

bool connectivityqt::VpnConnection::neverDefault

read write

QDBusObjectPath connectivityqt::VpnConnection::path

read

Type connectivityqt::VpnConnection::type

read

The documentation for this class was generated from the following files:

- connectivityqt/vpn-connection.h
- connectivityqt/vpn-connection.cpp